<?php



namespace SwagPaymentEps\Components\EpsPayment;



class EpsPaymentService

{

    /**

     * @param $request \Enlight_Controller_Request_Request

     * @return PaymentResponse

     */

    public function createPaymentResponse(\Enlight_Controller_Request_Request $request)

    {

        $response = new PaymentResponse();

        $response->transactionId = $request->getParam('transactionId', null);

        $response->token = $request->getParam('token', null);



        //var_dump($response->pin); die;

        return $response;

    }



    /**

     * @param PaymentResponse $response

     * @param string $token

     * @return bool

     */

    public function isValidToken(PaymentResponse $response, $token)

    {

        return hash_equals($token, $response->token);

    }



    /**

     * @param float $amount

     * @param int $customerId

     * @return string

     */

    public function createPaymentToken($amount, $customerId)

    {

        return md5(implode('|', [$amount, $customerId]));

    }

}

